/**
 * Created by IntelliJ IDEA.
 * User: jwill
 * Released under the GPL
 */
package org.bldc.jflubber
class UpdateTimeTask extends GroovyTimerTask {
    def timeLabel, startTime
    public UpdateTimeTask(label, time) {
        timeLabel = label
        startTime = time
        closure = {
            long millis = System.currentTimeMillis() - startTime
            int seconds = (int) (millis / 1000)
            int minutes = seconds / 60
            seconds = seconds % 60
            timeLabel.setText(String.format("%d:%02d", minutes, seconds))
            timeLabel.repaint()
        }
    }
}