/**
 * Created by IntelliJ IDEA.
 * User: jwill
 * Released under the GPL
 */
package org.bldc.jflubber

import groovy.swing.SwingXBuilder
import java.awt.Color
import java.awt.Font
import java.awt.image.BufferedImage
import javax.imageio.ImageIO
import org.jdesktop.swingx.JXPanel

class TimeLabel extends JXPanel {
    private static boolean isInitialized = false;
    private static BufferedImage background = null
    private label = new javax.swing.JLabel()
    private compoundPainter, textPainter, imagePainter
    def swing = new SwingXBuilder()
    private TimeLabel() {
        compoundPainter = swing.compoundPainter() {
            imagePainter(image: ImageIO.read(getClass().getResource("images/metal.png")),
                    scaleToFit: true)
            textPainter(id: 'txtPainter', font: new Font("Arial", Font.PLAIN, 36), fillPaint: Color.white) {
                shadowPathEffect()
            }
        }

        setBackgroundPainter(compoundPainter)
    }

    public setText(String text) {
        swing.txtPainter.text = text
    }

    public String getText() {return swing.txtPainter.text}
}